#ifndef EXTRA_H
#define EXTRA_H

PyObject* scriptsdll_randombuilding(PyObject *self, PyObject *args); // NOARGS
PyObject* scriptsdll_getcurrentmap(PyObject *self, PyObject *args); // NOARGS
PyObject* scriptsdll_getnextmap(PyObject *self, PyObject *args); // NOARGS
PyCFunction* scriptsdll_applydamage(PyObject *self, PyObject *args);
PyObject* scriptsdll_getfacing(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setfacing(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setclouds(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setash(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setrain(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setsnow(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_attachscript(PyObject *self, PyObject *args);
PyObject* scriptsdll_createobjectatbone(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_attachtoobjectbone(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_displayhealthbar(PyObject *self, PyObject *args);
PyObject* scriptsdll_createscriptzone(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_requestserial(PyObject *self, PyObject *args);
PyObject* scriptsdll_cplayer(PyObject *self, PyObject *args);
PyObject* scriptsdll_thegame(PyObject *self, PyObject *args); // NOARGS
PyObject* scriptsdll_getallobjects(PyObject *self, PyObject *args); // NOARGS
PyObject* scriptsdll_getrotation(PyObject *self, PyObject *args); // NOARGS
PyObject* scriptsdll_getallvehicles(PyObject *self, PyObject *args); // NOARGS
PyObject* scriptsdll_getallplayers(PyObject *self, PyObject *args); // NOARGS
PyObject* scriptsdll_getallbuildings(PyObject *self, PyObject *args); // NOARGS


#endif